### Hierarchy

- IRenderer

### Implemented by

- AbstractDecorator
- AbstractRenderer
- ClassicRenderer
- ContentCentricRenderer
- NoopRenderer
- RatingDecorator
- RevealJsRenderer

## Index

### Methods

- appendContent
- appendSuggest
- init
- render

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- - Defined in lib/api/IRenderer.ts:25

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- - Defined in lib/api/IRenderer.ts:32

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### init

- init(channelId: undefined | string): void

- - Defined in lib/api/IRenderer.ts:18

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType: IStackeable): HTMLElement[]

- - Defined in lib/api/IRenderer.ts:16

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

Generated using TypeDoc